Package ghidra.app.decompiler

# Class ClangBreak

java.lang.Object
ghidra.app.decompiler.ClangToken
ghidra.app.decompiler.ClangBreak

All Implemented Interfaces:
  `ClangNode`

public class ClangBreak extends ClangToken
A line break in source code plus the indenting for the following line.

- ## Field Summary

  ### Fields inherited from class ghidra.app.decompiler.ClangToken

  `COMMENT_COLOR, CONST_COLOR, DEFAULT_COLOR, ERROR_COLOR, FUNCTION_COLOR, GLOBAL_COLOR, KEYWORD_COLOR, MAX_COLOR, PARAMETER_COLOR, SPECIAL_COLOR, TYPE_COLOR, VARIABLE_COLOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClangBreak(ClangNode par)`
  `ClangBreak(ClangNode par, int indent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder, PcodeFactory pfactory)`
  Decode this token from the current position in an encoded stream
  `int`
  `getIndent()`

  ### Methods inherited from class ghidra.app.decompiler.ClangToken

  `buildSpacer, buildToken, Child, flatten, getClangFunction, getHighlight, getHighSymbol, getHighVariable, getLineParent, getMaxAddress, getMinAddress, getPcodeOp, getScalar, getSyntaxType, getText, getVarnode, isMatchingToken, isVariableRef, iterator, numChildren, Parent, setHighlight, setLineParent, setMatchingToken, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClangBreak

    public ClangBreak(ClangNode par)

  - ### ClangBreak

    public ClangBreak(ClangNode par, int indent)

- ## Method Details

  - ### getIndent

    public int getIndent()
    Returns:
      the number of indent levels following this line break

  - ### decode

    public void decode(Decoder decoder, PcodeFactory pfactory) throws DecoderException
    Description copied from class: `ClangToken`
    Decode this token from the current position in an encoded stream
    Overrides:
      `decode` in class `ClangToken`
    Parameters:
      `decoder` - is the decoder for the stream
      `pfactory` - is used to look up p-code objects associated with the token
    Throws:
      `DecoderException` - for problems decoding the stream